INTERFACE
SUBROUTINE LAITRE_GMV_AD(KASLB1,KPROMA,KSTART,KPROF,KFLEV,&
 & KFLDN,KFLDX,KFLD,KSEP,KMAP,PSIGN,&
 & KDEP,LDVECADIN,LDPLANE,LDSLHD,LDADV55,&
 & PDLAT,PCLA,PCLASLD,PDLO,PCLO,PCLOSLD,&
 & PDLAT5,PCLA5,PCLASLD5,PDLO5,PCLO5,PCLOSLD5,&
 & KL0,PVINTW,PVINTWSLD,PVINTW5,PVINTWSLD5,&
 & KINC,PZINC,KDIM,PXSL,PXSL5,PXF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLD
INTEGER(KIND=JPIM),INTENT(IN) :: KSEP
INTEGER(KIND=JPIM),INTENT(IN) :: KMAP(KPROMA,32,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSIGN(KPROMA,32,KFLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KDEP(KPROMA,KFLEV)
LOGICAL ,INTENT(IN) :: LDVECADIN
LOGICAL ,INTENT(IN) :: LDPLANE
LOGICAL ,INTENT(IN) :: LDSLHD
LOGICAL ,INTENT(IN) :: LDADV55
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLASLD(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(KPROMA,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO(KPROMA,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD(KPROMA,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA5(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD5(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO5(KPROMA,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO5(KPROMA,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD5(KPROMA,KFLEV,3,2)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(KPROMA,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWSLD(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW5(KPROMA,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD5(KPROMA,KFLEV,3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KINC(KDIM*KFLEV+1,KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZINC(KDIM*KFLEV+1,KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PXSL5(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PXF(KPROMA,KFLEV)
END SUBROUTINE LAITRE_GMV_AD
END INTERFACE
